## class TextShapeEditor : public InlineEditor

> text shape editor class.

## Inheritance:

### Public Methods

  | TextShapeEditor (DiagramViewer *v)
  void | Start (TextShape *t) initialize and start the inline editor with textshape.
  void | Stop () stop the object and update textshape.
  void | Abort () abort editing and restore everything
  void | StartWindow (TextShape *t) start editing in separate window.
  TextShape* | GetTextShape () const

### Inherited from InlineEditor:

### Public Methods

virtual void Draw()
void Undraw()
void AddChar(char c)
void BackSpace()
void Delete()
void CharLeft()
void CharRight()
void CharUp()
void CharDown()
void Home()
void End()
void Clear()
void SetCursor(int x, int y)
void SetCursor(int whichChar)
void StopWindow(const string *)
void CancelWindow()
TextEditDialog* GetTextEditDialog() const

### Protected Methods

bool IsInUse() const
void SetInUse(bool b)
void SetIgnoreWindow(bool b)
void SetText(const string *t)
void SetOldText(const string *ot)
void SetTextFont(XFont *ft)
void SetTextColor(string *c)
void SetAlignment(TextAlign::Type a)
void SetTextPosition(Point *p)
const string* GetText() const
const string* GetOldText() const
Viewer* GetViewer() const
virtual bool IsUnderlined() const
void SetUnderlined(bool b)

## Documentation

> text shape editor class.

`TextShapeEditor(DiagramViewer *v)`

`void Start(TextShape *t)`
  initialize and start the inline editor with textshape.

`void Stop()`
  stop the object and update textshape.

`void Abort()`
  abort editing and restore everything

`void StartWindow(TextShape *t)`
  start editing in separate window.

`TextShape* GetTextShape() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de